#pragma once

#include "CoreMinimal.h"
#include "CompetenceAction.h"
#include "ExecuteActionsBaseAction.generated.h"

UCLASS(Blueprintable, Abstract, EditInlineNew)
class DBDCOMPETENCE_API UExecuteActionsBaseAction : public UCompetenceAction
{
	GENERATED_BODY()

protected:
	UPROPERTY(EditAnywhere, BlueprintReadWrite, Instanced)
	TArray<UCompetenceAction*> _actionsToExecute;

public:
	UExecuteActionsBaseAction();
};

FORCEINLINE uint32 GetTypeHash(const UExecuteActionsBaseAction) { return 0; }
